# @summary Handles default parameters for Haproxy.
#
# This class is not intended to be called directly.
#
# @example
#   include haproxy::params
class haproxy::params {

  case $::osfamily {
    'Archlinux', 'Debian', 'Redhat', 'Gentoo', 'Suse', 'Linux' : {
      $package_name      = 'haproxy'
    }
    'FreeBSD': {
      $package_name      = 'haproxy'
    }
    default: { fail("The ${::osfamily} operating system is not supported with the haproxy module") }
  }

}
